CMSIS-NN: cmsis_nn_per_channel_quant_params Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_per_channel_quant_params Struct Reference

## Data Fields

int32_t * | multiplier
int32_t * | shift

## Description

CMSIS-NN object for the per-channel quantization parameters

## Field Documentation

int32_t* cmsis_nn_per_channel_quant_params::multiplier

Multiplier values

Referenced by arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_s8_opt(), and arm_nn_mat_mul_core_4x_s8().

int32_t* cmsis_nn_per_channel_quant_params::shift

Shift values

Referenced by arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_s8_opt(), and arm_nn_mat_mul_core_4x_s8().